> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check inventory

> Verifies stock availability for an order's unscheduled or store_rejected shipment before it is scheduled.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /orders/{order_number}/check-inventory
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/{order_number}/check-inventory:
    parameters:
      - name: order_number
        in: path
        description: Order number
        required: true
        schema:
          type: string
    get:
      tags:
        - Orders
      summary: Check inventory
      description: >-
        Verifies stock availability for an order's unscheduled or store_rejected
        shipment before it is scheduled.
      operationId: check-order-inventory
      parameters:
        - name: fulfillment_type
          in: query
          description: >-
            Optional. The fulfillment type to evaluate inventory against. If not
            provided, the inventory will be checked for the `fulfillment_type`
            of the shipment.
          required: false
          schema:
            type: string
            enum:
              - delivery
              - collect-in-store
        - name: shipment_number
          in: query
          description: >-
            Optional. The shipment number to check inventory for. If not
            provided, the inventory will be checked for the `unscheduled`
            shipment of the order.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      inventory:
                        $ref: '#/components/schemas/CheckInventoryResponse'
                    type: object
components:
  schemas:
    CheckInventoryResponse:
      title: CheckInventoryResponse
      type: object
      properties:
        allowed_actions:
          type: array
          items:
            $ref: '#/components/schemas/InventoryAction'
        shipment_items:
          type: array
          items:
            $ref: '#/components/schemas/ShipmentItem'
        inventory_status:
          $ref: '#/components/schemas/InventoryStatus'
        inventory_detail:
          type: array
          items:
            type: object
            properties:
              product_id:
                type: string
              variant_id:
                type: string
              product_name:
                type: string
              variant_name:
                type: string
              sku:
                type: string
              track_inventory:
                type: boolean
              allow_backorder:
                type: boolean
              requested_quantity:
                type: integer
              stock_quantity:
                type: integer
              inventory_status:
                $ref: '#/components/schemas/InventoryStatus'
              warehouses:
                type: array
                items:
                  type: object
                  properties:
                    warehouse_id:
                      type: string
                    warehouse_name:
                      type: string
                    stock_quantity:
                      type: integer
                    inventory_status:
                      $ref: '#/components/schemas/InventoryStatus'
        recommended_warehouses:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              inventory_status:
                $ref: '#/components/schemas/InventoryStatus'
    InventoryAction:
      title: InventoryAction
      enum:
        - create-shipment
        - refund-shortfall
        - wait-for-inventory
        - cancel-shipment
        - cancel-and-refund-shipment
        - reject-order
    ShipmentItem:
      title: ShipmentItem
      description: Shipment item model
      type: object
      required:
        - product_id
        - variant_id
        - quantity
      properties:
        product_id:
          type: string
        product_name:
          type: string
          readOnly: true
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
          readOnly: true
        product_image_url:
          type:
            - string
            - 'null'
          readOnly: true
        sku:
          type: string
          readOnly: true
        quantity:
          type: integer
        free_quantity:
          type: integer
        is_free_item:
          type: boolean
          readOnly: true
        selling_price:
          type: number
          format: double
    InventoryStatus:
      enum:
        - fulfilled
        - partially-fulfilled
        - not-fulfilled
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````